@import "assets/stylesheets/colors";

.lotto-action-card-container {
  border-radius: 8px;
  background-color: $secondary-dark;
  padding: 8px 16px;
  overflow: hidden;
  position: relative;

  cursor: pointer;

  .sub-background {
    transition: all 128ms ease-in;
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: rgba($color: #000000, $alpha: 0);
  }

  &.disabled {
    cursor: default;

    &:hover {
      .sub-background {
        background-color: rgba($color: #000000, $alpha: 0);
      }
    }
  }

  &:hover {
    .sub-background {
      background-color: rgba($color: #000000, $alpha: 0.2);
    }
  }

  &.CLOSE,
  &.UNKNOWN {
    background-color: rgba($color: $secondary-dark, $alpha: 0.3);
  }

  .lotto-action-text-wrapper {
    display: flex;
    flex-direction: row;
    margin-bottom: 4px;

    .lotto-action-card-flag {
      margin-left: 4px;
      width: 24px;
      object-fit: contain;
    }
  }

  h6.sub-title-label {
    opacity: 0.8;
    color: $primary-text;
  }
}
